from artiq.experiment import *

class TTLOUT(EnvExperiment):
    """

    """
    def build(self):
        # Busco en el archivo device_db.py estos 'componentes', y los traigo como
        # partes del constructor este.
        self.setattr_device("core")
        self.setattr_device("ttl4")
        self.setattr_device("ttl0")

    @kernel
    def run(self):
        self.core.reset()
#        self.ttl4.output()
        self.ttl0.input()

#        self.ttl4.on()
        pulsos_base=self.ttl0.count(now_mu())
        delay(3*ms)
        datos=[]
        for _ in range(1, 5):
            hasta_aca=self.ttl0.gate_rising(1000*ms)
            pulsos=self.ttl0.count(hasta_aca)
            datos=datos+[pulsos]
            delay(3*ms)
            #print(_)

        print(datos)


